This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447314 - df shows /root/.gvfs permission denied
df shows /root/.gvfs permission denied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
: 479816 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 09:48 EDT by Brian Long
Modified: 2015-03-03 17:32 EST (History)
11 users (show)

See Also:
Fixed In Version: gvfs-0.2.4-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 05:04:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 531516 None None None Never

  None (edit)
Description Brian Long 2008-05-19 09:48:37 EDT
Description of problem:
As an end user, if I run "df", I see the following:
df: `/root/.gvfs': Permission denied
If I run df as root, I see the following:
df: `/root/.gvfs': Transport endpoint is not connected

I am not logged in as root, but I did login to GNOME as root once.  Since then,
the above appears.  This may not be a coreutils issue, but a gvfs one.

Version-Release number of selected component (if applicable):
coreutils-6.10-22.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Login to GNOME as root
2. Logout and login to GNOME as end-user
3. run df
  
Actual results:
df: `/root/.gvfs': Permission denied

Expected results:
Comment 1 Brian Long 2008-05-19 09:49:54 EDT
An ls -al /root | grep gvfs shows the following:

ls: cannot access /root/.gvfs: Transport endpoint is not connected
d?????????  ? ?    ?        ?                ? .gvfs
Comment 2 Jerry James 2008-05-19 14:36:35 EDT
I mounted a CIFS volume as root.  Now all of my users see both the
"/home/[username]/.gvfs: Transport endpoint is not connected" and the
"/root/.gvfs: Permission denied" messages when they run df.  Unmounting the
volume doesn't make the warnings stop.

FWIW, my root account doesn't show any warning messages from df.  It does show a
line beginning with "gvfs-fuse-daemon", though.

Also, the mounted volume icon that used to show up on my users' desktops with
F-8 doesn't show up with F-9.  The volume is mounted and readable by the users
from the command line.  Is that another manifestation of the same bug or
something different?
Comment 3 Jerry James 2008-05-19 15:13:39 EDT
Here's a transcript from a user after the CIFS volume was mounted (by root).

$ /sbin/restorecon -r -v .
/sbin/restorecon:  error while labeling .:  Transport endpoint is not connected
$ rm -fr .gvfs
rm: cannot remove '.gvfs': Transport endpoint is not connected

This appears to be a gvfs bug, not a coreutils bug.  I'm on an x86_64 box. 
Brian, what's your platform?
Comment 4 Jerry James 2008-05-19 15:23:38 EDT
One more piece of information.  Doing a restorecon inside /root shows this:

[root@localhost -]# /sbin/restorecon -r -v .
/sbin/restorecon reset ./.gvfs context
system_u:object_r:fusefs_t:s0->system_u:object_r:admin_home_t:s0
/sbin/restorecon set context ./.gvfs->system_u:object_r:admin_home_t:s0
failed:'Operation not supported'

So that reset looks wrong, in the first place, and even trying it brings
restorecon to a halt.  At the very least, it looks like gvfs information needs
to be added to the default SELinux policy.  That's probably a separate issue
from the original bug, but I thought I'd mention it just in case.
Comment 5 Ondrej Vasik 2008-05-22 07:28:12 EDT
Thanks for report, reassigning to gvfs (other distributions have similar reports
assigned to it e.g. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476280 ,
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/212789) . Issue with
restorecon should probably be reported to policycoreutils separately.
Comment 6 Matthias Clasen 2008-05-22 23:17:10 EDT
Note a gvfs issue. This is the way fuse handles permissions on its mounts.
Comment 7 Dan O'Brien 2008-05-31 14:03:11 EDT
I unmounted these:

gvfs-fuse-daemon on /home/dmobrien/.gvfs type fuse.gvfs-fuse-daemon
(rw,nosuid,nodev,user=dmobrien)
gvfs-fuse-daemon on /root/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev)

and the error went away.

Fuse should play well with others and not do this crap.
Comment 8 Jonathan Underwood 2008-06-05 20:00:34 EDT
I see this problem too. It has been reported upstream and fixed, a patch is
available - please see:

http://bugzilla.gnome.org/show_bug.cgi?id=531516

It would be nice to have this patch added to the fedora package.
Comment 9 Tomáš Bžatek 2008-06-06 10:48:09 EDT
The "Permission denied" error messages are by design due to FUSE security
restrictions and it's conceptually difficult to avoid them.

The issue with persistent fuse mounts after logout should be fixed in upstream
and included in updated gvfs-0.2.4-1 package.
Comment 10 Fedora Update System 2008-06-06 10:49:39 EDT
gvfs-0.2.4-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-06-09 23:13:52 EDT
gvfs-0.2.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5124
Comment 12 Bug Zapper 2009-06-09 21:00:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Tomáš Bžatek 2009-06-23 05:07:13 EDT
*** Bug 479816 has been marked as a duplicate of this bug. ***
Comment 14 Kurt Seifried 2010-02-12 05:07:28 EST
This bug still occurs in Fedora 12. Logged in as root, du -sh in a user directory:

du: cannot access `.gvfs': Permission denied
Comment 15 Andrew Haveland-Robinson 2010-07-05 06:04:21 EDT
This silly bug is still not fixed, it occurs in Fedora 13 too.

I rarely use X, but when running vncserver the results of munin's df plugin disappear.

/var/log/munin/munin-node.log :
2010/07/05-03:30:04 [27446] Error output from df_inode:
2010/07/05-03:30:04 [27446]     df: `/home/andy/.gvfs': Permission denied
2010/07/05-03:30:04 [27446]     Error executing df. Exit code 256

When I stop vncserver, the df results appear again, with gaps.

The presence of an empty .gvfs file should NOT affect the output of df!

Seems I have to choose between vncserver or munin disk usage stats, or stop vnc before */5!
Comment 16 Tomáš Bžatek 2010-07-19 11:27:16 EDT
(In reply to comment #15)
> This silly bug is still not fixed, it occurs in Fedora 13 too.
> 
> I rarely use X, but when running vncserver the results of munin's df plugin
> disappear.
> 
> /var/log/munin/munin-node.log :
> 2010/07/05-03:30:04 [27446] Error output from df_inode:
> 2010/07/05-03:30:04 [27446]     df: `/home/andy/.gvfs': Permission denied
> 2010/07/05-03:30:04 [27446]     Error executing df. Exit code 256
> 
> When I stop vncserver, the df results appear again, with gaps.
> 
> The presence of an empty .gvfs file should NOT affect the output of df!
> 
> Seems I have to choose between vncserver or munin disk usage stats, or stop vnc
> before */5!    
Please see comment 8 and comment 9. Applications should handle inaccessible mounts gracefully. This is not a problem of gvfs.

Also, the ~/.gvfs directory is a mountpoint, even if it appears empty, there might be other processes binded to it.

Note You need to log in before you can comment on or make changes to this bug.